Skip to main content
POST
Track an event occuring within a business

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the business

Body

application/json
event
string
required

The name of the event

data
object

The data associated with the event

Response

200 - application/json

The tracked Event object. It is processed asynchronously; list the trigger executions it created with GET /events/:id/trigger_executions

id
string
required

The ID of the event

name
string
required

The name of the event

extra
object
required

The data tracked with the event

created_at
string
required

The time the event was tracked in ISO 8601 format

customer
string | null
required

The ID of the customer the event resolved to. null until the event is processed, or if no customer matched